Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_new_from_data()

## Synopsis

    bson_t *
    bson_new_from_data (const uint8_t *data, size_t length);

## Parameters

- `data`: A BSON encoded document buffer.

- `length`: The length of `data` in bytes.

## Description

The bson_new_from_data() function shall create a new bson_t on the heap and copy the contents of `data`. This may be helpful when working with language bindings but is generally expected to be slower.

## Returns

A newly allocated bson_t if successful, otherwise NULL.

See also

bson_concat()
bson_init()
bson_init_from_json()
bson_init_static()
bson_new()
bson_new_from_buffer()
bson_new_from_data()
bson_new_from_json()
bson_reinit()
bson_reserve_buffer()
bson_sized_new()